Unable to install nginx: dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)

Created:

2017-06-21 00:00:11 UTC

Modified:

2017-08-16 16:53:39 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Unable to install nginx: dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)

Applicable to:

  • Plesk for Linux

Symptoms

Upon an attempt to install nginx, the error appears:

E: Sub-process /usr/bin/dpkg returned an error code (1)

The following can be found in the /var/log/plesk/install/autoinstaller3.log :

Unpacking sw-nginx (1.11.10-debian8.0.17040416) ...
dpkg: error processing archive /var/cache/apt/archives/sw-nginx_1.11.10-debian8.0.17040416_amd64.deb (--unpack):
 trying to overwrite '/usr/share/man/man1/nginx.1.gz', which is also in package nginx-common 1.6.2-5+deb8u4
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Processing triggers for man-db (2.7.0.2-5) ...
Errors were encountered while processing:
 /var/cache/apt/archives/sw-nginx_1.11.10-debian8.0.17040416_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Nginx was already installed on the system.

Cause

Nginx from the Plesk repository conflicts with nginx which is already installed from the OS repository.

Resolution

1. Remove nginx installed from the OS repository:

# apt-get remove nginx nginx-common

2. Install nginx from the Plesk interface in Tools & Settings > Updates & Upgrades or by running plesk installer command.

Have more questions? Submit a request
Please sign in to leave a comment.